Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.multipart
Interface MultipartActionRequest

All Superinterfaces:
  ActionRequest, MultipartRequest, PortletRequest

All Known Implementing Classes:
  DefaultMultipartActionRequest, MockMultipartActionRequest

    public interface MultipartActionRequest

extends ActionRequest, MultipartRequest

Interface which provides additional methods for dealing with multipart content within a portlet request, allowing to access uploaded files. Implementations also need to override the standard ActionRequest methods for parameter access, making multipart parameters available.

A concrete implementation is `DefaultMultipartActionRequest`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `PortletMultipartResolver`, `MultipartFile`, `PortletRequest.getParameter(java.lang.String)`, `PortletRequest.getParameterNames()`, `PortletRequest.getParameterMap()`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Method Summary

Methods inherited from interface javax.portlet.ActionRequest
`getCharacterEncoding, getContentLength, getContentType, getPortletInputStream, getReader, setCharacterEncoding`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Methods inherited from interface org.springframework.web.multipart.MultipartRequest
`getFile, getFileMap, getFileNames, getFiles, getMultiFileMap, getMultipartContentType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD